%define upstream_name    Plack-Middleware-XForwardedFor
%define upstream_version 0.103060

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Plack middleware to handle X-Forwarded-For headers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Net::Netmask)
BuildRequires: perl(Plack)
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(parent)
BuildArch: noarch

%description
'Plack::Middleware::XForwardedFor' will look for 'X-Forwarded-For' header
in the incomming request and change 'REMOTE_ADDR' to the real client IP

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml META.json SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.103.60-4.mga6
+ Revision: 1032197
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.103.60-3.mga6
+ Revision: 949724
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.103.60-2.mga5
+ Revision: 790386
- Rebuild to potentially add missing dependencies

* Thu Oct 16 2014 shlomif <shlomif> 0.103.60-1.mga5
+ Revision: 762280
- imported package perl-Plack-Middleware-XForwardedFor


* Thu Oct 16 2014 cpan2dist 0.103060-1mga
- initial mageia release, generated with cpan2dist
